Project

General

Profile

Bug #1654

Unable to install Amahi 7 on fedora 21

Added by rhglass over 5 years ago. Updated about 5 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
-
Target version:
-
Start date:
05/01/2015
Due date:
% Done:

0%


Description

Hi
I have been trying to install Amahi 7 on fedora 21 but on the command hda-install YOUR-INSTALL-CODE using my code i get error command not found,I have included a text document with the output https://dl.dropboxusercontent.com/u/8057557/amahi/NewAmahi.txt.txt

many thanks
Richard

History

#1 Updated by rhglass over 5 years ago

cat /etc/issue is Fedora release 21 (Twenty One) Kernel \r on an \m (\l)

#2 Updated by cpg over 5 years ago

try this:

yum -y install ruby-libs-2.1.4-24

let it install, including its dependencies, then try installing hda-ctl and hda-platform.

if that fails, then try installing the various dependencies one at a time, trying that and then hda-ctl and hda-platform.

this will isolate what is the actual problem.

#3 Updated by rhglass over 5 years ago

error on that command

Loaded plugins: langpacks
No package ruby-libs-2.1.4-24 available.
Error: Nothing to do

#4 Updated by bigfoot65 over 5 years ago

The ARM version has the same issue.

There is a newer ruby package I believe for Fedora 21, but hda-ctl and hda-platform requires = ruby-libs 2.1.5.

I may be mistaken, but that was my assessment of the error.

#5 Updated by cpg over 5 years ago

details please. what version is/are the new ruby package(s)?

#6 Updated by cpg over 5 years ago

  • Status changed from New to Assigned
  • Assignee set to cpg

nvm, i got it -- went from 2.1.5 to 2.1.6. will change the deps.

#7 Updated by cpg over 5 years ago

ok, the repos for f21 have been updated to adapt for this new version of the ruby stack. you will have to do this in the machine prior to get them:

yum clean metadata

this will clean the cached info in the machine and will allow to see the new packages after that proceed as before.

#8 Updated by rhglass over 5 years ago

I have try again tonight install amahi 7 on the server,I did do yum clean metadata and then did the rest of the install commands for amahi 7 I am please to say that it worked, here is a text file of the output https://dl.dropboxusercontent.com/u/8057557/amahi/NewAmahi%2002.05.2015.txt for you to check but it all working

many thanks for you help

Richard

If you would like me to do more testing just let me know

#9 Updated by bigfoot65 over 5 years ago

Ran
yum update
on Fedora 21 ARM OS.

Received a warning
Package hda-ctl-5.5.1-1.armv7hl.rpm is not signed

I added the --nogpgcheck to the command line. Worked fine and all packages successfully updated.

Will try a normal Fedora 21 install to verify it works as well.

#10 Updated by bigfoot65 about 5 years ago

  • Status changed from Assigned to Closed

No longer valid.

Also available in: Atom